New Volvo FH 2.1

new-volvo-2
new-volvo-mdo

YouTube preview

This is a remake of a default Volvo FH16 2012 by SCS Software with tons of new stuff added,
such as new bumpers, sideskirts, roofbars. New engines and transmissions, reworked chassis,
reworked headlights and many more

New Volvo FH – Skinpack.scs containes several optional paintjobs based on real prototypes
You can also make own painjobs using provided template.
Custom decals described in decals.txt

Truck replaces default Volvo FH 2012, also trucks in quick jobs are modded, both EU and UK
Showroom models are new aswell.
This mod will conflict with mods, which have custom truck_config_scene.sii such as
MB Actros and Antos by DANZ

New:
-Updated for newest patches
-added different exteriors
-added new tuning parts
-changed grill textures
-2 new versions in traffic

New Volvo FH – Skinpack.scs containes several optional paintjobs based on real prototypes
You can also make own painjobs using provided template.
Custom decals described in decals.txt

Truck replaces default Volvo FH 2012, also trucks in quick jobs are modded, both EU and UK
Showroom models are new aswell

Credits:
SCS Software, Джо, ohaha, 50keda, Ventures, Knox_xss

DOWNLOAD 100.6 MB

https://www.youtube.com/watch?v=NDspK2KOVfg

10 thoughts on “New Volvo FH 2.1

  1. zh8870666

    Has been like ohaha works, thank you!

  2. WaveTrAcer

    Very nice mod. I am using it in one of my profiles for quite some time now. Love the details in it. Thanks for this update!

  3. Hello, the creator, can you make a Paint Grill Please, good work, thank you 😉

  4. FH trucker

    Hi,i have older version https://ets2.lt/en/new-volvo-fh-truck/,and now i can’t change everything. Why? Always crashing,when i change some part…sry for english

  5. Hi! It’s a very good, very detailed mod, I love it! Thank you! But would you make a 4×2 low deck chassis please? Because nobody makes well-deailed low deck trucks and you made a very good mod so you can do it as good as this one. Thank you!

  6. WolfGuy100

    Can you update it so it’d be compatible with patch 1.20? I updated mine and it’s incompatible with 1.20. Thanks

  7. this mod 1.20 crash update pls…

Leave a Reply

Your email address will not be published.

Human Verification: In order to verify that you are a human and not a spam bot, please enter the answer into the following box below based on the instructions contained in the graphic.